NX Open C++ Reference Guide
|
Represents a @link Weld::WeldGroove Weld::WeldGroove@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateWeldGroove1Builder Weld::WeldManager::CreateWeldGroove1Builder @endlink <br>
Default values. More...
Public Types | |
enum | Contour { ContourNone, ContourConvex, ContourFlush, ContourConcave } |
The options for Contour Type. More... | |
enum | Edge { EdgeNotPrepared, EdgePrepared } |
A value indicating whether the edges have been prepared. More... | |
enum | Prepare { PrepareNone, PrepareEntireLength, PrepareWeldLimits, PrepareComplex } |
The type of edges to be prepared. More... | |
enum | SkipWeldMethod { SkipWeldMethodNumberLength, SkipWeldMethodNumberSpacing, SkipWeldMethodSpacingLength } |
The options for creating Skip Weld. More... | |
enum | Taper { TaperFromEndFace, TaperFromTopFace } |
The type of Taper Method. More... | |
enum | Types { TypesSquareButt, TypesVGroove, TypesBevelGroove, TypesUGroove, TypesJGroove, TypesFlaredVGroove, TypesFlaredBevelGroove, TypesFillinFlaredVGroove, TypesFillinFlaredBevelGroove } |
The types of Groove to create. More... | |
Public Member Functions | |
bool | AssignWeldPMI () |
Returns a value indicating whether the assign weld pmi is true Created in NX9.0.0. | |
NXOpen::Weld::CharacteristicsBuilder * | Characteristics () |
Returns the characteristics Created in NX9.0.0. | |
NXOpen::Expression * | ContourHeight () |
Returns the contour height Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::Contour | ContourType () |
Returns the contour type Created in NX9.0.0. | |
bool | CreateSkipWelds () |
Returns a value indicating whether to create skip welds Created in NX9.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX9.0.0. | |
NXOpen::Section * | EdgeSet1 () |
Returns the first edge set Created in NX9.0.0. | |
NXOpen::Section * | EdgeSet2 () |
Returns the second edge set Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::Edge | EdgeType () |
Returns the edge type Created in NX9.0.0. | |
NXOpen::Expression * | EndAngle () |
Returns the taper angle at the end of the weld Created in NX9.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EndDistance () |
Returns the end limit as defined by the distance along the edge Created in NX9.0.0. | |
NXOpen::ScCollector * | FaceSet1 () |
Returns the face set1 Created in NX9.0.0. | |
NXOpen::ScCollector * | FaceSet2 () |
Returns the face set2 Created in NX9.0.0. | |
NXOpen::Expression * | GrooveAngle () |
Returns the groove angle Created in NX9.0.0. | |
NXOpen::Expression * | GrooveRadius () |
Returns the groove radius Created in NX9.0.0. | |
bool | IsRootOpening () |
Returns a value indicating whether root opening is true Created in NX9.0.0. | |
bool | IsRootPenetration () |
Returns a value indicating whether root depth is true Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod | Method () |
Returns the method for creating skip welds Created in NX9.0.0. | |
NXOpen::Expression * | NumberOfWelds () |
Returns the number of welds Created in NX9.0.0. | |
NXOpen::Expression * | PenetrationDepth () |
Returns the penetration depth Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::Prepare | PrepareEdges () |
Returns the type of edges to prepare Created in NX9.0.0. | |
bool | RecreateDeletedWelds () |
Returns a value indicating whether to recreate deleted welds Created in NX9.0.0. | |
NXOpen::Expression * | RootOpening () |
Returns the root opening Created in NX9.0.0. | |
NXOpen::Expression * | RootPenetration () |
Returns the root penetration Created in NX9.0.0. | |
NXOpen::Expression * | SecondPenetrationDepth () |
Returns the second penetration depth Created in NX9.0.0. | |
NXOpen::Face * | SeedFace1 () |
Returns the first seed face Created in NX9.0.0. | |
NXOpen::Face * | SeedFace2 () |
Returns the second seed face Created in NX9.0.0. | |
NXOpen::Point3d | SeedPoint1 () |
Returns the point on the first face Created in NX9.0.0. | |
NXOpen::Point3d | SeedPoint2 () |
Returns the point on the second face Created in NX9.0.0. | |
NXOpen::Expression * | SegmentLength () |
Returns the length of weld Created in NX9.0.0. | |
void | SetAssignWeldPMI (bool assignWeldPMI) |
Sets a value indicating whether the assign weld pmi is true Created in NX9.0.0. | |
void | SetContourType (NXOpen::Weld::WeldGrooveBuilder::Contour contour) |
Sets the contour type Created in NX9.0.0. | |
void | SetCreateSkipWelds (bool createSkipWelds) |
Sets a value indicating whether to create skip welds Created in NX9.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX9.0.0. | |
void | SetEdgeType (NXOpen::Weld::WeldGrooveBuilder::Edge edgeType) |
Sets the edge type Created in NX9.0.0. | |
void | SetMethod (NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod method) |
Sets the method for creating skip welds Created in NX9.0.0. | |
void | SetPrepareEdges (NXOpen::Weld::WeldGrooveBuilder::Prepare prepareEdges) |
Sets the type of edges to prepare Created in NX9.0.0. | |
void | SetRecreateDeletedWelds (bool recreateDeletedWelds) |
Sets a value indicating whether to recreate deleted welds Created in NX9.0.0. | |
void | SetRootOpening (bool isRootOpening) |
Sets a value indicating whether root opening is true Created in NX9.0.0. | |
void | SetRootPenetration (bool isRootPenetration) |
Sets a value indicating whether root depth is true Created in NX9.0.0. | |
void | SetSeedFace1 (NXOpen::Face *seedFace1) |
Sets the first seed face Created in NX9.0.0. | |
void | SetSeedFace2 (NXOpen::Face *seedFace2) |
Sets the second seed face Created in NX9.0.0. | |
void | SetSeedPoint1 (const NXOpen::Point3d &seedPoint1) |
Sets the point on the first face Created in NX9.0.0. | |
void | SetSeedPoint2 (const NXOpen::Point3d &seedPoint1) |
Sets the point on the second face Created in NX9.0.0. | |
void | SetSingleFaceSet (bool singleFaceSet) |
Sets a value indicating whether the single face set is true Created in NX9.0.0. | |
void | SetTaperMethod (NXOpen::Weld::WeldGrooveBuilder::Taper taperMethod) |
Sets the taper method Created in NX9.0.0. | |
void | SetType (NXOpen::Weld::WeldGrooveBuilder::Types type) |
Sets the type of the groove Created in NX9.0.0. | |
void | SetUparameter1 (double u1) |
Sets the u parameter for first face Created in NX9.0.0. | |
void | SetUparameter2 (double u2) |
Sets the u parameter for second face Created in NX9.0.0. | |
void | SetUseFillin (bool useFillin) |
Sets a value indicating whether to use fillin Created in NX9.0.0. | |
void | SetVparameter1 (double v1) |
Sets the v parameter for first face Created in NX9.0.0. | |
void | SetVparameter2 (double v2) |
Sets the v parameter for second face Created in NX9.0.0. | |
void | SetWeldSymmetric (bool weldSymmetric) |
Sets a value indicating whether the second depth is the same as the first depth Created in NX9.0.0. | |
bool | SingleFaceSet () |
Returns a value indicating whether the single face set is true Created in NX9.0.0. | |
NXOpen::Expression * | Spacing () |
Returns the spacing between welds Created in NX9.0.0. | |
NXOpen::Expression * | StartAngle () |
Returns the taper angle at the start of the weld Created in NX9.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartDistance () |
Returns the start limit as defined by the distance along the edge Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::Taper | TaperMethod () |
Returns the taper method Created in NX9.0.0. | |
NXOpen::Weld::WeldGrooveBuilder::Types | Type () |
Returns the type of the groove Created in NX9.0.0. | |
double | Uparameter1 () |
Returns the u parameter for first face Created in NX9.0.0. | |
double | Uparameter2 () |
Returns the u parameter for second face Created in NX9.0.0. | |
bool | UseFillin () |
Returns a value indicating whether to use fillin Created in NX9.0.0. | |
double | Vparameter1 () |
Returns the v parameter for first face Created in NX9.0.0. | |
double | Vparameter2 () |
Returns the v parameter for second face Created in NX9.0.0. | |
bool | WeldSymmetric () |
Returns a value indicating whether the second depth is the same as the first depth Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Weld::WeldGroove Weld::WeldGroove@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreateWeldGroove1Builder Weld::WeldManager::CreateWeldGroove1Builder @endlink <br>
Default values.
Property | Value |
---|---|
AssignWeldPMI |
0 |
ContourHeight.Value |
3.0 (millimeters part), 0.118 (inches part) |
ContourType |
None |
CreateSkipWelds |
0 |
EdgeType |
NotPrepared |
EndAngle.Value |
0 |
GrooveAngle.Value |
45.0 |
GrooveRadius.Value |
1.0 (millimeters part), 0.04 (inches part) |
IsRootOpening |
0 |
IsRootPenetration |
0 |
Method |
NumberLength |
NumberOfWelds.Value |
3 |
PenetrationDepth.Value |
3.0 (millimeters part), 0.118 (inches part) |
PrepareEdges |
EntireLength |
RecreateDeletedWelds |
0 |
RootOpening.Value |
3.0 (millimeters part), 0.118 (inches part) |
RootPenetration.Value |
3.0 (millimeters part), 0.118 (inches part) |
SecondPenetrationDepth.Value |
0 (millimeters part), 0 (inches part) |
SegmentLength.Value |
3.0 (millimeters part), 0.118 (inches part) |
SingleFaceSet |
0 |
Spacing.Value |
3.0 (millimeters part), 0.118 (inches part) |
StartAngle.Value |
0 |
TaperMethod |
FromTopFace |
Type |
SquareButt |
UseFillin |
0 |
WeldSymmetric |
1 |
Created in NX9.0.0.
The type of edges to be prepared.
PrepareNone |
None. |
PrepareEntireLength |
Entire Length. |
PrepareWeldLimits |
Weld Limits. |
PrepareComplex |
Complex. |
The options for creating Skip Weld.
The types of Groove to create.
TypesSquareButt |
Square Butt. |
TypesVGroove |
V Groove. |
TypesBevelGroove |
Bevel Groove. |
TypesUGroove |
U Groove. |
TypesJGroove |
J Groove. |
TypesFlaredVGroove |
Flared V Groove. |
TypesFlaredBevelGroove |
Flared Bevel Groove. |
TypesFillinFlaredVGroove |
fillin flared vgroove |
TypesFillinFlaredBevelGroove |
Fillin Flared Bevel Groove. |
bool NXOpen::Weld::WeldGrooveBuilder::AssignWeldPMI | ( | ) |
Returns a value indicating whether the assign weld pmi is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldGrooveBuilder::Characteristics | ( | ) |
Returns the characteristics
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::ContourHeight | ( | ) |
Returns the contour height
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::Contour NXOpen::Weld::WeldGrooveBuilder::ContourType | ( | ) |
Returns the contour type
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::CreateSkipWelds | ( | ) |
Returns a value indicating whether to create skip welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldGrooveBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 | ( | ) |
Returns the first edge set
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 | ( | ) |
Returns the second edge set
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::Edge NXOpen::Weld::WeldGrooveBuilder::EdgeType | ( | ) |
Returns the edge type
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::EndAngle | ( | ) |
Returns the taper angle at the end of the weld
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldGrooveBuilder::EndDistance | ( | ) |
Returns the end limit as defined by the distance along the edge
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::ScCollector* NXOpen::Weld::WeldGrooveBuilder::FaceSet1 | ( | ) |
Returns the face set1
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::ScCollector* NXOpen::Weld::WeldGrooveBuilder::FaceSet2 | ( | ) |
Returns the face set2
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::GrooveAngle | ( | ) |
Returns the groove angle
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::GrooveRadius | ( | ) |
Returns the groove radius
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::IsRootOpening | ( | ) |
Returns a value indicating whether root opening is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::IsRootPenetration | ( | ) |
Returns a value indicating whether root depth is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod NXOpen::Weld::WeldGrooveBuilder::Method | ( | ) |
Returns the method for creating skip welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::NumberOfWelds | ( | ) |
Returns the number of welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::PenetrationDepth | ( | ) |
Returns the penetration depth
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::Prepare NXOpen::Weld::WeldGrooveBuilder::PrepareEdges | ( | ) |
Returns the type of edges to prepare
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::RecreateDeletedWelds | ( | ) |
Returns a value indicating whether to recreate deleted welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::RootOpening | ( | ) |
Returns the root opening
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::RootPenetration | ( | ) |
Returns the root penetration
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::SecondPenetrationDepth | ( | ) |
Returns the second penetration depth
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Face* NXOpen::Weld::WeldGrooveBuilder::SeedFace1 | ( | ) |
Returns the first seed face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Face* NXOpen::Weld::WeldGrooveBuilder::SeedFace2 | ( | ) |
Returns the second seed face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Point3d NXOpen::Weld::WeldGrooveBuilder::SeedPoint1 | ( | ) |
Returns the point on the first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Point3d NXOpen::Weld::WeldGrooveBuilder::SeedPoint2 | ( | ) |
Returns the point on the second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::SegmentLength | ( | ) |
Returns the length of weld
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldGrooveBuilder::SetAssignWeldPMI | ( | bool | assignWeldPMI | ) |
Sets a value indicating whether the assign weld pmi is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
assignWeldPMI | assignweldpmi |
void NXOpen::Weld::WeldGrooveBuilder::SetContourType | ( | NXOpen::Weld::WeldGrooveBuilder::Contour | contour | ) |
Sets the contour type
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
contour | contour |
void NXOpen::Weld::WeldGrooveBuilder::SetCreateSkipWelds | ( | bool | createSkipWelds | ) |
Sets a value indicating whether to create skip welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
createSkipWelds | createskipwelds |
void NXOpen::Weld::WeldGrooveBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
distanceTolerance | distancetolerance |
void NXOpen::Weld::WeldGrooveBuilder::SetEdgeType | ( | NXOpen::Weld::WeldGrooveBuilder::Edge | edgeType | ) |
Sets the edge type
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
edgeType | edgetype |
void NXOpen::Weld::WeldGrooveBuilder::SetMethod | ( | NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod | method | ) |
Sets the method for creating skip welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
method | method |
void NXOpen::Weld::WeldGrooveBuilder::SetPrepareEdges | ( | NXOpen::Weld::WeldGrooveBuilder::Prepare | prepareEdges | ) |
Sets the type of edges to prepare
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
prepareEdges | prepareedges |
void NXOpen::Weld::WeldGrooveBuilder::SetRecreateDeletedWelds | ( | bool | recreateDeletedWelds | ) |
Sets a value indicating whether to recreate deleted welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
recreateDeletedWelds | recreatedeletedwelds |
void NXOpen::Weld::WeldGrooveBuilder::SetRootOpening | ( | bool | isRootOpening | ) |
Sets a value indicating whether root opening is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
isRootOpening | isrootopening |
void NXOpen::Weld::WeldGrooveBuilder::SetRootPenetration | ( | bool | isRootPenetration | ) |
Sets a value indicating whether root depth is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
isRootPenetration | isrootpenetration |
void NXOpen::Weld::WeldGrooveBuilder::SetSeedFace1 | ( | NXOpen::Face * | seedFace1 | ) |
Sets the first seed face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
seedFace1 | seedface1 |
void NXOpen::Weld::WeldGrooveBuilder::SetSeedFace2 | ( | NXOpen::Face * | seedFace2 | ) |
Sets the second seed face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
seedFace2 | seedface2 |
void NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint1 | ( | const NXOpen::Point3d & | seedPoint1 | ) |
Sets the point on the first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
seedPoint1 | seedpoint1 |
void NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint2 | ( | const NXOpen::Point3d & | seedPoint1 | ) |
Sets the point on the second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
seedPoint1 | seedpoint1 |
void NXOpen::Weld::WeldGrooveBuilder::SetSingleFaceSet | ( | bool | singleFaceSet | ) |
Sets a value indicating whether the single face set is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
singleFaceSet | singlefaceset |
void NXOpen::Weld::WeldGrooveBuilder::SetTaperMethod | ( | NXOpen::Weld::WeldGrooveBuilder::Taper | taperMethod | ) |
Sets the taper method
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
taperMethod | tapermethod |
void NXOpen::Weld::WeldGrooveBuilder::SetType | ( | NXOpen::Weld::WeldGrooveBuilder::Types | type | ) |
Sets the type of the groove
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
type | type |
void NXOpen::Weld::WeldGrooveBuilder::SetUparameter1 | ( | double | u1 | ) |
Sets the u parameter for first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
u1 | u1 |
void NXOpen::Weld::WeldGrooveBuilder::SetUparameter2 | ( | double | u2 | ) |
Sets the u parameter for second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
u2 | u2 |
void NXOpen::Weld::WeldGrooveBuilder::SetUseFillin | ( | bool | useFillin | ) |
Sets a value indicating whether to use fillin
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
useFillin | usefillin |
void NXOpen::Weld::WeldGrooveBuilder::SetVparameter1 | ( | double | v1 | ) |
Sets the v parameter for first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
v1 | v1 |
void NXOpen::Weld::WeldGrooveBuilder::SetVparameter2 | ( | double | v2 | ) |
Sets the v parameter for second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
v2 | v2 |
void NXOpen::Weld::WeldGrooveBuilder::SetWeldSymmetric | ( | bool | weldSymmetric | ) |
Sets a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
weldSymmetric | weldsymmetric |
bool NXOpen::Weld::WeldGrooveBuilder::SingleFaceSet | ( | ) |
Returns a value indicating whether the single face set is true
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::Spacing | ( | ) |
Returns the spacing between welds
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::StartAngle | ( | ) |
Returns the taper angle at the start of the weld
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldGrooveBuilder::StartDistance | ( | ) |
Returns the start limit as defined by the distance along the edge
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::Taper NXOpen::Weld::WeldGrooveBuilder::TaperMethod | ( | ) |
Returns the taper method
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldGrooveBuilder::Types NXOpen::Weld::WeldGrooveBuilder::Type | ( | ) |
Returns the type of the groove
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldGrooveBuilder::Uparameter1 | ( | ) |
Returns the u parameter for first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldGrooveBuilder::Uparameter2 | ( | ) |
Returns the u parameter for second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::UseFillin | ( | ) |
Returns a value indicating whether to use fillin
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldGrooveBuilder::Vparameter1 | ( | ) |
Returns the v parameter for first face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldGrooveBuilder::Vparameter2 | ( | ) |
Returns the v parameter for second face
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldGrooveBuilder::WeldSymmetric | ( | ) |
Returns a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0.
License requirements : ugweld ("UG WELD")